{
  keydevice,
  keypartname,
}: ''
  mkdir -m 0755 -p /key

  dev=${keydevice}
  sleep 1
  until cryptsetup luksOpen "$dev" usbkey
  do
    echo "Insert key and press enter..."
    read res
  done
  mount -n -t vfat -o ro /dev/mapper/${keypartname} /key
''
